/*
 *   Mylyn Connector for Serena Business Mashups
 * 	 Copyright 2010 Brian Rosenberger (Brutex Network)
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 * 
 *   Serena, TeamTrack and Serena Business Mashup are 
 * 	 registered trademarks of SERENA Software Inc.
 */
package net.brutex.mylyn.sbmconnector.core;

import org.eclipse.mylyn.tasks.core.TaskRepository;
import org.eclipse.mylyn.tasks.core.data.TaskAttribute;
import org.eclipse.mylyn.tasks.core.data.TaskAttributeMapper;

public class SBMTicketAttributeMapper extends TaskAttributeMapper {

	public SBMTicketAttributeMapper(TaskRepository taskRepository) {
		super(taskRepository);
	}
	
	@Override
	public String mapToRepositoryKey(TaskAttribute parent, String key) {
		SBMTicketAttribute attribute = SBMTicketAttribute.getSBMAttributeByTaskName(key);
		if(attribute != null) {
			return attribute.getSBMName();
		}
		return super.mapToRepositoryKey(parent, key); //just returns key
	}
	
	@Override
	public TaskAttribute getAssoctiatedAttribute(TaskAttribute taskAttribute) {
		// TODO Auto-generated method stub
		return super.getAssoctiatedAttribute(taskAttribute);
	}
}
